Package org.apache.activemq.artemis.api.core.management

## Class ResourceNames

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ResourceNames

-     public final class ResourceNames
      extends java.lang.Object

  Helper class used to build resource names used by management messages.
  Resource's name is build by appending its name to its corresponding type. For example, the resource name of the "foo" queue is `QUEUE + "foo"`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACCEPTOR` |
    `static java.lang.String` | `ADDRESS` |
    `static java.lang.String` | `BRIDGE` |
    `static java.lang.String` | `BROADCAST_GROUP` |
    `static java.lang.String` | `BROKER` |
    `static java.lang.String` | `CONNECTION_ROUTER` |
    `static java.lang.String` | `CORE_CLUSTER_CONNECTION` |
    `static java.lang.String` | `DIVERT` |
    `static java.lang.String` | `MANAGEMENT_SECURITY` |
    `static java.lang.String` | `QUEUE` |
    `static java.lang.String` | `RETROACTIVE_SUFFIX` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceNames()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `decomposeRetroactiveResourceAddressName​(java.lang.String prefix, java.lang.String delimiter, java.lang.String address)` |
    `static org.apache.activemq.artemis.api.core.SimpleString` | `getRetroactiveResourceAddressName​(java.lang.String prefix, java.lang.String delimiter, org.apache.activemq.artemis.api.core.SimpleString address)` |
    `static org.apache.activemq.artemis.api.core.SimpleString` | `getRetroactiveResourceDivertName​(java.lang.String prefix, java.lang.String delimiter, org.apache.activemq.artemis.api.core.SimpleString address)` |
    `static org.apache.activemq.artemis.api.core.SimpleString` | `getRetroactiveResourceQueueName​(java.lang.String prefix, java.lang.String delimiter, org.apache.activemq.artemis.api.core.SimpleString address, org.apache.activemq.artemis.api.core.RoutingType routingType)` |
    `static boolean` | `isRetroactiveResource​(java.lang.String prefix, org.apache.activemq.artemis.api.core.SimpleString address)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BROKER

          public static final java.lang.String BROKER

      See Also:
        Constant Field Values

    - #### MANAGEMENT_SECURITY

          public static final java.lang.String MANAGEMENT_SECURITY

      See Also:
        Constant Field Values

    - #### QUEUE

          public static final java.lang.String QUEUE

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final java.lang.String ADDRESS

      See Also:
        Constant Field Values

    - #### BRIDGE

          public static final java.lang.String BRIDGE

      See Also:
        Constant Field Values

    - #### ACCEPTOR

          public static final java.lang.String ACCEPTOR

      See Also:
        Constant Field Values

    - #### DIVERT

          public static final java.lang.String DIVERT

      See Also:
        Constant Field Values

    - #### CORE_CLUSTER_CONNECTION

          public static final java.lang.String CORE_CLUSTER_CONNECTION

      See Also:
        Constant Field Values

    - #### BROADCAST_GROUP

          public static final java.lang.String BROADCAST_GROUP

      See Also:
        Constant Field Values

    - #### CONNECTION_ROUTER

          public static final java.lang.String CONNECTION_ROUTER

      See Also:
        Constant Field Values

    - #### RETROACTIVE_SUFFIX

          public static final java.lang.String RETROACTIVE_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceNames

          public ResourceNames()

  - ### Method Detail

    - #### getRetroactiveResourceQueueName

          public static org.apache.activemq.artemis.api.core.SimpleString getRetroactiveResourceQueueName​(java.lang.String prefix,
                                                                                                          java.lang.String delimiter,
                                                                                                          org.apache.activemq.artemis.api.core.SimpleString address,
                                                                                                          org.apache.activemq.artemis.api.core.RoutingType routingType)

    - #### getRetroactiveResourceAddressName

          public static org.apache.activemq.artemis.api.core.SimpleString getRetroactiveResourceAddressName​(java.lang.String prefix,
                                                                                                            java.lang.String delimiter,
                                                                                                            org.apache.activemq.artemis.api.core.SimpleString address)

    - #### getRetroactiveResourceDivertName

          public static org.apache.activemq.artemis.api.core.SimpleString getRetroactiveResourceDivertName​(java.lang.String prefix,
                                                                                                           java.lang.String delimiter,
                                                                                                           org.apache.activemq.artemis.api.core.SimpleString address)

    - #### isRetroactiveResource

          public static boolean isRetroactiveResource​(java.lang.String prefix,
                                                      org.apache.activemq.artemis.api.core.SimpleString address)

    - #### decomposeRetroactiveResourceAddressName

          public static java.lang.String decomposeRetroactiveResourceAddressName​(java.lang.String prefix,
                                                                                 java.lang.String delimiter,
                                                                                 java.lang.String address)